DCloud_App_Array
DCloud_App_Array
  • 发布:2024-02-27 15:52
  • 更新:2024-04-16 15:33
  • 阅读:5524

关于云打包iOS提交AppStore提示警告问题

分类:HBuilderX

App Store Connect 上传要求使用 iOS 17 SDK 编译

2024年3月21号 iOS云端打包已全面升级为 XCode 15.2 和 iOS 17.2 SDK

升级XCode15.2后,需注意以下事项:

苹果在2024年2月6号发布公告要求:
从2024年4月29日开始上传 AppStore 要求使用 XCode 15 和 iOS 17 SDK 编译安装包。
公告详情:从 4 月 29 日开始生效的 App Store Connect 上传要求

目前HBuilderX云端打包iOS平台编译环境为 XCode 14.3.1 和 iOS 16.4 SDK。
因此云端打包后使用 Transporter 工具上传到 AppStore 会提示以下警告:

SDK version issue. This app was built with the iOS 16.4 SDK. Starting April 29, 2024, all iOS and iPadOS apps must be built with the iOS 17 SDK or later, included in Xcode 15 or later, in order to be uploaded to App Store Connect or submitted for distribution. (90725)

注意:此警告只是提示信息,并不影响继续提交 AppStore,开发者可继续上传并提交审核。

@2024年3月21号更新
正式版云端打包机已全面升级到 XCode 15.2 和 iOS 17.2 SDK。

@2024年3月7号更新
目前已经将Alpha版本云端打包环境升级到 XCode 15.2 和 iOS 17.2 SDK,在 Alpha 版本试运行1-2周时间。
预计在3月中将正式版云端打包机完成升级。

关于 App Store 提交的隐私更新

苹果在2024年2月29号发布公告要求:
开发者将需要在其 App 中包含隐私清单
公告详情:关于 App Store 提交的隐私更新

目前uni-app云端打包还未支持隐私清单,使用 Transporter 工具上传到 AppStore 会提示以下警告:

ITMS-91053: Missing API declaration - Your app’s code in the “HBuilder” file references one or more APIs that require reasons, including the following API categories: NSPrivacyAccessedAPICategoryFileTimestamp. While no action is required at this time, starting May 1, 2024, when you upload a new app or app update, you must include a NSPrivacyAccessedAPITypes array in your app’s privacy manifest to provide approved reasons for these APIs used by your app’s code. For more details about this policy, including a list of required reason APIs and approved reasons for usage, visit: https://developer.apple.com/documentation/bundleresources/privacy_manifest_files/describing_use_of_required_reason_api.

注意:此警告只是提示信息,并不影响继续提交 AppStore,开发者可继续上传并提交审核。

预计在4月初会提供解决方案。

4 关注 分享
1***@qq.com 3***@qq.com 2***@qq.com 7***@qq.com

要回复文章请先登录注册

r***@gmail.com

r***@gmail.com

四月中了,还米有一个消息?
2024-04-16 15:33
前端V威哥

前端V威哥

警告提示问题有解决方案了么?
2024-04-16 15:01
2***@qq.com

2***@qq.com

解决了么,坐等+1~
2024-04-16 14:43
8***@qq.com

8***@qq.com

插眼坐等+1
2024-04-15 17:34
9***@qq.com

9***@qq.com

解决了吗?坐等坐等
2024-04-15 11:24
d***@yunfanda.com

d***@yunfanda.com

还没有解决方案嘛
2024-04-15 11:07
bobbbb

bobbbb

插眼坐等
2024-04-15 09:42
loveCoding

loveCoding

沙发搬来,坐等
2024-04-12 22:33
ParkerZlp

ParkerZlp

坐等
2024-04-12 16:20
zss123Back

zss123Back

之前云打包之后使用application loader上传包都是正常的,但是现在云打包之后上传就提示ERROR ITMS 一 90700 : "lncorrect Platform. You included arm64 executable "HBuiIder.app/ HBuiIder ” in your iOS bundle. OnIy iOS executables can be included.' 我看以前打包出来的HBuiIder.app/ HBuiIder也是arm64格式的,这个问题有人遇到吗
2024-04-12 14:20